Page MenuHomePhabricator

[ARM] Extra MVE-related testing.
ClosedPublic

Authored by simon_tatham on May 30 2019, 8:23 AM.

Details

Summary

This adds some extra RUN lines to existing test files, to check that
things that worked in previous architecture versions haven't
accidentally stopped working in 8.1-M. Also we add some new tests: a
test of scalar floating point instructions that could be easily
confused with the similar-looking vector ones at assembly time, a test
of basic load/store/move access to the FP registers (which has to work
even in integer-only MVE); and one final check of the really obvious
case where turning off MVE should make sure MVE instructions really
are rejected.

Diff Detail

Repository
rL LLVM

Event Timeline

simon_tatham created this revision.May 30 2019, 8:23 AM
SjoerdMeijer added inline comments.Jun 3 2019, 2:06 AM
llvm/test/MC/ARM/mve-fp-registers.s
12 ↗(On Diff #202217)

looks like something went wrong with the formatting, i.e. the whitespaces, in this file.

Remastered patch to apply cleanly against current trunk.

miyuki added a subscriber: miyuki.Jun 11 2019, 5:54 AM
SjoerdMeijer accepted this revision.Jun 20 2019, 12:21 PM

With all the whitespaces fixed in test/MC/ARM/mve-fp-registers.s, this looks like a good change to me.

This revision is now accepted and ready to land.Jun 20 2019, 12:21 PM
Closed by commit rL364293: [ARM] Extra MVE-related testing. (authored by statham, committed by ). · Explain WhyTue, Jun 25, 4:25 AM
This revision was automatically updated to reflect the committed changes.